# Forgejo Cloudron App

This repository contains the Cloudron app package source for [Forgejo](https://forgejo.org/).

## Installation

Using the [Cloudron command line tooling](https://cloudron.io/references/cli.html)

```
cloudron install --image rafaelcaricio/forgejo-cloudron-app:v7.0.0-1 --app code.caric.io
```

# Upgrading

Upgrade the `Dockerfile` with the version.
```
export VERSION=7.0.0
docker build --platform linux/amd64 -t "rafaelcaricio/forgejo-cloudron-app:v${VERSION}-1" .
docker push "rafaelcaricio/forgejo-cloudron-app:v${VERSION}-1"
cloudron update --image rafaelcaricio/forgejo-cloudron-app:v${VERSION}-1 --app code.caric.io --no-backup
```

## Building

The app package can be built using the [Cloudron command line tooling](https://cloudron.io/references/cli.html).

```
cd forgejo-app

cloudron build
cloudron install
```

## Testing

The e2e tests are located in the `test/` folder and require [nodejs](http://nodejs.org/). They are creating a fresh build, install the app on your Cloudron, perform tests, backup, restore and test if the repos are still ok. The tests expect port 29418 to be available.

```
cd gitea-app/test

npm install
PATH=$PATH:node_modules/.bin USERNAME=<cloudron username> PASSWORD=<cloudron password> mocha --bail test.js
```
